#!/usr/bin/env node

import { createServer } from "vite";
import react from "@vitejs/plugin-react";
import path from "path";
import * as url from "url";
const __dirname = url.fileURLToPath(new URL(".", import.meta.url));

(async () => {
  const server = await createServer({
    configFile: false,
    resolve: {
      alias: {
        "injected-component": path.join(process.cwd(), "injected.jsx"),
      },
    },
    plugins: [react()],
    root: path.join(__dirname, "src"),
    server: {
      open: false,
    },
  });
  await server.listen();
  server.printUrls();
})();
