import { useContext } from "react";
import { GlobalContext } from "./context";
import Injected from "injected-component";

const Component = () => {
  const value = useContext(GlobalContext);
  return <h2>{value}</h2>;
};

function App() {
  return (
    <GlobalContext.Provider value="updated context">
      <Component />
      <Injected />
    </GlobalContext.Provider>
  );
}

export default App;
